gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Object System.Obsolete A factory for menus. To use this class, make an array of objects which describe a menu, then invoke to generate the menu.
- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The kind of menu to create; can be , , or
  the factory path of the new item factory, a string of the form "<name>"
  a to which the accelerators for the menu items will be added, or null to create a new one
  Basic constructor.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` Widget to install an accelerator on. The full path for the . The accelerator group to install the accelerator in. Key value of the accelerator. Modifier combination of the acelerator. Installs an accelerator for in , that causes the activate event to be emitted it the accelerator is activated.

  This method can be used to make widgets participate in the accel saving/restoring functionality provided by and , even if they haven't been created by an item factory. The recommended API for this purpose are the and ; don't use in new code, since it is likely to be removed in the future.

- Method
  2.12.0.0
  System.Void `` `` `` The kind of menu to create; can be , , or the factory path of the new item factory, a string of the form "<name>" a to which the accelerators for the menu items will be added, or null to create a new one Initializes a
- Method
  2.12.0.0
  System.Void `` `` `` The to create an item for. Data passed to the callback method of . 1 if the callback method of is of type , 2 if it is of type . Creates an item for .
- Method
  2.12.0.0
  System.Void `` `` `` The length of . An array of s whose members must be of type . Data passed to the callback methods of all entries. Creates the menu items from the .
- Method
  2.12.0.0
  System.Void `` `` `` `` a , the number of menu items a , a list of information about menu items a , pointer to data that should be passed to the callback functions of all entries a Creates menu items from entries. FIXME: See bugzilla 70887.
- Method
  2.12.0.0
  System.Void `` `` a , the number of entries an array of objects Creates menu items from a set of entries.
- Method
  2.12.0.0
  System.Void `` `` The length of . An array of s. Deletes the menu items which were created from the entries by the given item factory.
- Method
  2.12.0.0
  System.Void `` A . Deletes the menu item which was created from by the given item factory.
- Method
  2.12.0.0
  System.Void `` A path. Deletes the menu item which was created for by the given item factory.
- Method
  2.12.0.0
  Gtk.ItemFactory `` a Finds an item factory which has been constructed using the "<name>" prefix of as the path argument building a new item factory. a , or
- Method
  2.12.0.0
  Gtk.ItemFactory `` A . Obtains the item factory from which a was created. The item factory from which was created, or .
- Method
  2.12.0.0
  Gtk.Widget `` The path to the menu item. Obtains the menu item which corresponds to . The menu item for the given path, or if doesn't lead to a menu item.

  If the corresponding to is a menu item which opens a submenum, then the item is returned. If you are interested in the submenum, use instead.

- Method
  2.12.0.0
  Gtk.Widget `` A (TODO: where is this enumerated?) Obtains the menu item which correponds to . A
- Method
  2.12.0.0
  Gtk.Widget `` The path to the . Obtains the which corresponds to . The for the given path, or if doesn't lead to a .

  If the corresponding to is a menu item which opens a submenu, then the submenu is returned. If you are interested in the menu item, use instead.

- Method
  2.12.0.0
  Gtk.Widget `` A (TODO: where is this enumerated?) Obtains the which corresponds to . A
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.String `` A . If has been created by an item factory, returns the full path to it. The full path to if it has been created by an item factory, otherwise. This value is owned by GTK+ and must not be modified or freed.

  The full path of a is the concatenation of the factory path specified in with the path specified in the from which the was created.

- Method
  2.12.0.0
  System.Void `` `` `` `` The x position. The y position. The mouse button which was pressed to initiate the popup. The time at which the activation event ocurred. Pops up the menu constructed from the item factory at (, ).

  The should be the mouse button pressed to initiate the menu popup. If the menu popup was initiated by something other than a mouse button press, such as a mouse button release or a keypress, should be 0.

  The should be the time stamp of the event that initiated the popup. If such a event is not available, use instead.

  The operation of the and the is the same as the and for .

- Method
  2.12.0.0
  System.IntPtr Obtains the which was passed to . associated.

  This data is available until the menu is popped down again.

- Method
  2.12.0.0
  System.IntPtr `` A . Obtains the which was passed to . associated with the item factory from which was created, or if wasn't created by an item factory.

  This data is available until the menu is popped down again.

- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` Data available for callbacks while the menu is posted. A to be called on when the menu is unposted. The x position. The y position. The mouse button which was pressed to initiate the popup. The time at which the activation event ocurred. Pops up the menu constructed form the item factory at (, ).

  Callbacks can access the while the menu is posted via and .

  The should be the mouse button pressed to initiate the menu popup. If the menu popup was initiated by something other than a mouse button press, such as a mouse button release or a keypress, should be 0.

  The should be the time stamp of the event that initiated the popup. If such a event is not available, use instead.

  The operation of the and the is the same as the and for .

- Method
  2.12.0.0
  System.Obsolete("Replaced by TranslateFunc property.")
  System.Void `` `` `` The delegate to be used to traslate path elements. ignored ignored Sets a method to be used for translating the path elements before they are displayed. This method is obsolete. New code should use the property instead.
- Property
  2.12.0.0
  Gtk.TranslateFunc The method to be used for translating the path elements before they are displayed. a